AlertLevel (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.admin, class: AlertLevel

Package org.apache.geode.admin

# Class AlertLevel

java.lang.Object
org.apache.geode.admin.AlertLevel

All Implemented Interfaces:
  `Serializable`

@Deprecated @Immutable public class AlertLevel extends Object implements Serializable
Deprecated.
as of 7.0 use the `management` package instead
Type-safe enumeration for `Alert` level.

Since:
  GemFire 3.5
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final AlertLevel`
  `ERROR`
  Deprecated.
  `static final AlertLevel`
  `OFF`
  Deprecated.
  `final int`
  `ordinal`
  Deprecated.
  `static final AlertLevel`
  `SEVERE`
  Deprecated.
  `static final AlertLevel`
  `WARNING`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  Deprecated.
  Indicates whether some other object is "equal to" this one.
  `static AlertLevel`
  `forName(String name)`
  Deprecated.
  Returns the `AlertLevel` with the given name
  `static AlertLevel`
  `forSeverity(int severity)`
  Deprecated.
  Returns the `AlertLevel` for the given severity
  `static AlertLevel`
  `fromOrdinal(int ordinal)`
  Deprecated.
  Return the AlertLevel represented by specified ordinal
  `String`
  `getName()`
  Deprecated.
  `int`
  `getSeverity()`
  Deprecated.
  `int`
  `hashCode()`
  Deprecated.
  Returns a hash code for the object.
  `String`
  `toString()`
  Deprecated.
  Returns a string representation for this alert level.
  `static AlertLevel[]`
  `values()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### WARNING

    @Immutable public static final AlertLevel WARNING
    Deprecated.

  - ### ERROR

    @Immutable public static final AlertLevel ERROR
    Deprecated.

  - ### SEVERE

    @Immutable public static final AlertLevel SEVERE
    Deprecated.

  - ### OFF

    @Immutable public static final AlertLevel OFF
    Deprecated.

  - ### ordinal

    public final int ordinal
    Deprecated.

- ## Method Details

  - ### fromOrdinal

    public static AlertLevel fromOrdinal(int ordinal)
    Deprecated.
    Return the AlertLevel represented by specified ordinal
    Parameters:
      `ordinal` - the ordinal of the `AlertLevel` to return
    Returns:
      the `AlertLevel` with the given ordinal

  - ### forSeverity

    public static AlertLevel forSeverity(int severity)
    Deprecated.
    Returns the `AlertLevel` for the given severity
    Parameters:
      `severity` - the severity of the `AlertLevel` to return
    Returns:
      the `AlertLevel` with the given severity
    Throws:
      `IllegalArgumentException` - If there is no alert level with the given `severity`

  - ### forName

    public static AlertLevel forName(String name)
    Deprecated.
    Returns the `AlertLevel` with the given name
    Parameters:
      `name` - the name of the `AlertLevel` to return
    Returns:
      the `AlertLevel` with the given name
    Throws:
      `IllegalArgumentException` - If there is no alert level named `name`

  - ### getSeverity

    public int getSeverity()
    Deprecated.

  - ### getName

    public String getName()
    Deprecated.

  - ### values

    public static AlertLevel[] values()
    Deprecated.

  - ### toString

    public String toString()
    Deprecated.
    Returns a string representation for this alert level.
    Overrides:
      `toString` in class `Object`
    Returns:
      the name of this alert level

  - ### equals

    public boolean equals(Object other)
    Deprecated.
    Indicates whether some other object is "equal to" this one.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `other` - the reference object with which to compare.
    Returns:
      true if this object is the same as the obj argument; false otherwise.

  - ### hashCode

    public int hashCode()
    Deprecated.
    Returns a hash code for the object. This method is supported for the benefit of hashtables such as those provided by java.util.Hashtable.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      the integer 0 if description is null; otherwise a unique integer.